Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Linux :: Gentoo :: c07-2326.htm

Netkit FTP Server: Privilege escalation



UPDATE: Netkit FTP Server: Privilege escalation
UPDATE: Netkit FTP Server: Privilege escalation




--Q68bSM7Ycu6FN28Q
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory [UPDATE]               GLSA 200611-05:02
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/ 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

  Severity: High
     Title: Netkit FTP Server: Privilege escalation
      Date: November 10, 2006
   Updated: February 11, 2007
      Bugs: #150292
        ID: 200611-05:02

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Update
=====
The original fix introduced a new vulnerability allowing the listing of
any arbitrary directory with root group permissions due to a typo in the
setgid() call. New fixed packages are available. Also, this update adds
a second CVE reference which was not originally mentionned while it was
covered by the original fix.

Additionally, please note that the Netkit FTP Server package has been
renamed from net-ftp/ftpd to net-ftp/netkit-ftpd.

The updated sections appear below.

Background
=========
net-ftp/netkit-ftpd is the Linux Netkit FTP server with optional SSL
support.

Affected packages
================
    -------------------------------------------------------------------
     Package              /  Vulnerable  /                  Unaffected
    -------------------------------------------------------------------
  1  net-ftp/netkit-ftpd      < 0.17-r5                     >= 0.17-r5

Resolution
=========
All Netkit FTP Server users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose ">=net-ftp/netkit-ftpd-0.17-r5"

References
=========
  [ 1 ] CVE-2006-5778
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-5778 
  [ 2 ] CVE-2006-6008
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-6008 

Availability
===========
This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-200611-05.xml 

Concerns?
========
Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at 
http://bugs.gentoo.org. 

License
======
Copyright 2007 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5 

--Q68bSM7Ycu6FN28Q
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBRdH8UDvRww8BFPxFAQK0xwgAmXmnnFjr1TtLt8wOlfwIEW3BJSt/crjK
BMtKKFILbn31J6P44eJavxRP6g+Ux6RDd8kqCYmYoV33pgDkfOS1Qw1mGPr8XGrE
IdQwJU+JKw0ViIMiaMzlfURyeFrURukWJNhKQ6aqXKzAdY1uBPaqTMSPOmpzwpl1
222vt0ugi9wZcmBHNsUNAZIxeIl8ktkLFG9eEJLorEU+aJIwCbeb34D0w+k8Rvzm
fie2S3ZK+0FrQqmoRSWreM/BZIWn/iwNqaVS33XsQwMrIOygfUG/OtS7JpqgICRw
oGsFOWJ9mHfTOoYTFquPpFHhA3Kd8JpGYbFyWyz0VL/4majqsMgbBw==EPA3
-----END PGP SIGNATURE-----

--Q68bSM7Ycu6FN28Q--


TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH